;; Copyright 2007, 2008, 2009 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.



(progn
  (setq-default case-fold-search nil)
  (add-to-list 'load-path (expand-file-name ".."))
  (require 'perl-pod-coding))


(progn
  ;; =encoding with the POD far down after the code
  (find-file "/usr/share/perl5/YAML.pm")
  buffer-file-coding-system)

(progn
  (find-file "/usr/share/perl5/Jcode/Nihongo.pod")
  buffer-file-coding-system)

(progn
  (find-file "/home/gg/perl/sub-scopefinalizer/Sub-ScopeFinalizer-0.02/lib/Sub/ScopeFinalizer.mlpod")
  buffer-file-coding-system)

(require 'un-define)
(progn
  (find-file "/usr/share/perl5/MIME/Charset-ja_JP.pod")
  buffer-file-coding-system)

;;-----------------

(progn
  (require 'autoload)
  (switch-to-buffer "x")
  (emacs-lisp-mode)
  (generate-file-autoloads "../perl-pod-coding.el"))


;;-----------------

(compile "cd $HOME/lisp; set -x;
emacs22     -batch -q -no-site-file -f batch-byte-compile perl-pod-coding.el;
emacs21     -batch -q -no-site-file -f batch-byte-compile perl-pod-coding.el;
emacs-cvs-b -batch -q -no-site-file -f batch-byte-compile perl-pod-coding.el;
rm perl-pod-coding.elc")




;;-----------------
;; bad
(custom-add-option 'auto-coding-functions 'perl-pod-coding-function)
(custom-add-option 'auto-coding-functions 'sgml-xml-auto-coding-function)
(custom-add-option 'auto-coding-functions 'sgml-html-meta-auto-coding-function)
(customize-variable 'auto-coding-functions)
