;; Copyright 2016 Kevin Ryde

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(defconst my-const 456)
(defvar my-bound 456)

(defun foo ()
  ;; ok
  (add-to-list 'my-bound 123)
  (add-to-list (read) 123)

  ;; ok
  (add-hook 'my-hook (lambda () 123))
  (add-hook 'my-bound (lambda () 123))
  (add-hook (read) (lambda () 123))
  )
(defun bar ()
  ;; bad
  (add-to-list 'fdjks 123)
  (add-to-list 'my-const 123)
  (add-to-list 'my-unbound 123)
  (add-to-list "foo" 123)
  (add-to-list nil 123)
  (add-to-list t 123)
  (add-to-list :foo 123)

  ;; bad
  (add-hook (quote "foo") (lambda () 123))
  (add-hook "foo" (lambda () 123))
  (add-hook 'my-const (lambda () 123))
  (add-hook "foo" (lambda () 123))
  (add-hook nil (lambda () 123))
  (add-hook t (lambda () 123))
  (add-hook :foo (lambda () 123))

  ;; bad
  (remove-hook (quote "foo") (lambda () 123))
  (remove-hook "foo" (lambda () 123))
  )

